=pos-absolute
    position: absolute
    top: 0
    left: 0
    right: 0
    bottom: 0

=remove-margin-padding
    padding: 0
    margin: 0

=remove-margin-padding-title-and-p
    h1, h2, h3, h4, h5, h6
        margin: 0

    p
        margin: 0

=bg-img-settings($pos: center, $size: cover)
    background-size: $size
    background-position: $pos
    background-repeat: no-repeat

=aspect-ratio($w: 16, $h: 9)
    position: relative
    width: 100%
    box-sizing: border-box

    &::before
        content: ""
        display: block
        padding-top: $h / $w * 100%
        pointer-events: none

    > *
        display: inline-block
        +pos-absolute
